### Class

# Ide LspRenameProvider

#### Description

    abstract class Ide.LspRenameProvider : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeRenameProvider

#### Instance methods

###### ide_lsp_rename_provider_get_client

No description available.

###### ide_lsp_rename_provider_set_client

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeRenameProvider (4)

###### ide_rename_provider_load

No description available.

###### ide_rename_provider_rename_async

This requests the provider to determine the edits that must be made to the project to perform the renaming of a symbol found at `location`.

Available since: 3.32

###### ide_rename_provider_rename_finish

Completes a request to ide_rename_provider_rename_async().

Available since: 3.32

###### ide_rename_provider_unload

No description available.

#### Properties

###### Ide.LspRenameProvider:buffer

No description available.

###### Ide.LspRenameProvider:client

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspRenameProviderClass {
      IdeObjectClass parent_instance;

    }

###### Class members

`parent_instance` |
    IdeObjectClass
| No description available.